Compiling glib-2/Solving the issue libffi>3 not found

First compile libffi.

./configure –prefix=/home/users/d/dr/droidzone/bldroot/dependency

Next

export LIBFFI_LIBS=-lffi

export LIBFFI_CFLAGS=-I/home/users/d/dr/droidzone/bldroot/dependency/lib/libffi-3.0.10/include

where /home/users/d/dr/droidzone/bldroot/dependency is the location where we compiled libffi to

 

Now we can simply compile glib2


You are reading this post on Joel G Mathew’s tech blog. Joel's personal blog is the Eyrie, hosted here.